{% extends "base.html" %}

{% load static %}

{% block title %} Detail Post {% endblock %}

{% block styles %}
<link rel="stylesheet" type="text/css" href="{% static 'css/detail.css' %}">
{% endblock %}

{% block content %}
<a href="/category/"><button type="button" class="button-back">Back</button></a>
<h1 class="headings text-center">All About {{ detail.pet_name }}</h1>
<hr class="horizontal text-center">
<div class="container">
    <div class="cat-row row">
        <div class="col-md-4">
            <div class="photo-container container-fluid text-center">
                {% for photo in photo_list %}
                    {% if photo.pet == detail %}
                        <img src="{{ photo.photo.url }}" alt="pet photo" class="pet-photo"><br>
                    {% endif %}
                {% endfor %}
                <h3 class="pet_name">{{ detail.pet_name }}</h3>
                <p> {{ detail.pet_breed }} - {{ profile.owner_city}}, {{ profile.owner_country }}</p>
            </div>
        </div>
        <div class="data-con col-md-8">
            <div class="data-container container-fluid">
                <div class="pet-container">
                    <h3 class="detail-about"> About </h3>
                    <p class="pet-info">{{ detail.pet_gender }}  - {{ detail.pet_size }}  -  {{ detail.pet_age }}</p>
                    <h6>HEALTH</h6>
                    <p>{{ detail.pet_health }}</p>
                    <h6>ADOPTION FEE</h6>
                    <p>{{ detail.adoption_fee }}</p>
                    <h3 class="detail-desc">Description</h3>
                    <p>{{ detail.description }}</p>
                </div>
            </div>
        </div>
    </div> 
    <h2 class="judul-asking text-center">About the owner</h2>
    <hr class="horizontal text-center"> 
    <div class="profile-row row">
        <div class="col-md-4">
            <div class="photo-container container-fluid text-center">
                <img src="{% static 'img/people.png' %}" alt="profile photo" class="profile-photo"><br>
            </div>
        </div>
        <div class="col-md-6">
            <div class="data-container container-fluid">
                <div class="profile-container">
                    <a href="/profile/{{owner.id}}/"><h3 class="name-owner">{{ owner.first_name }} {{ owner.last_name }}</h3></a>
                    <p>{{profile.owner_city}},{{profile.owner_country}} - {{ profile.owner_zipcode }}</p>
                </div> 
            </div>
        </div>
    </div>
</div>

{% if user.is_authenticated %}
<h1 class="judul-asking text-center">Ask About Pet</h1>
<hr class="horizontal text-center"/>
<div class="ask-pet-form container-fluid">
    <div class="form-container">
        <form method="POST">
        {% csrf_token %}
        <div class="row-form row">
            <div class="col-md-12">
                <div class="form-group">
                    <label for="id_message">Message:</label>
                    <textarea class="form-control" name="message" rows="8" maxlength="500" required="" id="id_message"></textarea>
                    <input type="submit" class="button-submit" value="Submit"/>
                </div>
            </div>
        </div>
        </form>
    </div>
</div>
{% endif %}


<h1 class="message-judul text-center">QnA about {{ detail.pet_name }}</h1>
<hr class="horizontal text-center">
<div class="comment container-fluid">
    {% for j in ask %}
    <div class="message-sheet">
        <div class="comment row">
            <div class="col-md-4">
                <h5 class="quest-name">{{ user.first_name }} {{ user.last_name }}</h5>
            </div>
            {% if user == owner %}
                <form action="delete" method="POST" >
                {% csrf_token %}
                    <input type="hidden" value="{{ j.id }}" name="id"/>
                    <input class="button-delete delete" type="submit" value="Delete" />
                </form>
            {% endif %}
        </div>
        <div class="comment row">
            <div class="col-md-8">
                <p>{{ j.message }}</p>
            </div>
        </div>
    </div>
    {% endfor %}
</div>
{% endblock %}
